{% extends "blog/base.html" %}

{% block content %}
    {% for post in posts %}
        <div>
            <p class="date">created: {{ post.create_date|date:"d-M-Y" }}</p>
            <h1><a href="{% url 'blog:post-detail' pk=post.pk %}">{{ post.title }}</a> </h1>
            <p>{{ post.text|truncatechars:200 }}</p>
        </div>
    {% endfor %}
    
{% endblock %}